Forum Linux.redhat Kernel-boot

Posté par (page perso) .
Tags : aucun
0
6
août
2008
Petite recherche de doc.

A cause de diverses contraintes, je suis obligé d'utiliser une Red-Hat 7.3. Par défaut, on a un kernel 2.4.18.

Problème n°2 : je dois utiliser un kernel récent.

Pour l'OS, pas de problème : un 2.4.34 se compile les doigts dans le nez.

Par contre, pour l'installation, j'ai besoin d'un kernel-boot.
Et là, je sèche.
Comment, à partir d'un kernel vanilla, obtenir quelque chose qui puisse me lancer anaconda ?

Une idée ? Des pistes ? Une doc ?

Je suis preneur pour tout indice !
  • # Précisions...

    Posté par . Évalué à  3 .

    C'est quoi un kernel-boot ? Qu'est-ce qui t'empêche d'installer ton kernel dans /boot et de booter dessus ?
    J'ai peut-être loupé un truc, mais je ne comprend pas ...
    • [^] # Re: Précisions...

      Posté par . Évalué à  1 .

      Moi non plus je ne comprends pas, j'abonde dans le sens du premier commentaire: pourquoi tu n'installes pas la redhat 7.3 originelle avec son kernel d'origine, puis le remplace par un plus recent ?
      T'as des périphériques non supportés par cet ancien kernel ??
      • [^] # Re: Précisions...

        Posté par (page perso) . Évalué à  1 .

        En fait, le kernel-boot n'est pas le kernel utilisé par l'OS une fois celui-ci installé. C'est le kernel qui est utilisé par Anaconda pour l'installation d'une Red-Hat.

        C'est donc le kernel sur lequel boot le medium d'installation, avant de donner la main au programme d'installation (anaconda) de l'OS.
        • [^] # Re: Précisions...

          Posté par . Évalué à  2 .

          Houla, OK, tu parlais de l'installation de ta distro, pas du kernel .... Et j'avais pas compris que tu parlais de recompiler ton kernel _pour_ l'installeur ... tu veux créer un CD d'install maison ? Parce que sinon, je ne vois pas le problème : tu installes avec l'ancien kernel, et après t'en compile un plus récent ...

          En fait, je trouve assez mystérieux ta description : "pour diverses contraintes", "je dois utiliser un kernel récent" .... ça nous aide pas beaucoup.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.